import { JSXElement, JSX } from 'solid-js';
export interface UploadPanelProps extends JSX.HTMLAttributes<HTMLInputElement> {
    children?: JSXElement;
}
/** @zh  复合上传组件 */
export declare const UploadPanel: import("solid-js").Component<Omit<UploadPanelProps, "style" | "class"> & {
    ref?: HTMLInputElement | ((el: HTMLInputElement) => void);
    style?: string | JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    /** @zh  复合上传组件 */
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
